%define anolis_release 3

%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}

Name:           mpdecimal
Version:        2.5.1
Release:        %{anolis_release}%{?dist}
Summary:        Library for general decimal arithmetic
License:        BSD
URL:            http://www.bytereef.org/mpdecimal/index.html
Source0:        http://www.bytereef.org/software/mpdecimal/releases/mpdecimal-%{version}.tar.gz
Source1:        http://speleotrove.com/decimal/dectest.zip

BuildRequires:  gcc gcc-c++ make unzip

%description
mpdecimal is a package for correctly-rounded arbitrary precision decimal floating point arithmetic.

libmpdec is a C implementation of the General Decimal Arithmetic Specification. The specification defines 
a general purpose arbitrary precision data type together with rigorously specified functions and rounding 
behavior. libmpdec conforms - with minor restrictions - to the IEEE 754-2008 Standard for Floating-Point 
Arithmetic, provided that the appropriate context parameters are set. libmpdec++ has a thread local context 
for inline operators and other functions that use the implicit context.

%package        devel
Requires:       %{name} = %{EVR}
Summary:        Development headers for mpdecimal library

%description devel
The package contains development headers for the mpdecimal library.

%package        doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1
unzip -d tests/testdata %{SOURCE1}

%build

%configure
make %{?_smp_mflags}

%check
make check

%install
%make_install
rm -f %{buildroot}%{_libdir}/*.a
rm -f %{buildroot}%{_docdir}/%{name}/LICENSE.txt

if [ "%{_pkgdocdir}" != "%{_docdir}/%{name}" ]; then
  mkdir -p %{buildroot}%{_pkgdocdir}
  mv -v %{buildroot}%{_docdir}/%{name}/* %{buildroot}%{_pkgdocdir}/
fi

%generate_compatibility_deps

%files
%dir %{abidir}
%license LICENSE.txt
%{_libdir}/libmpdec.so.%{version}
%{_libdir}/libmpdec.so.3
%{_libdir}/libmpdec++.so.%{version}
%{_libdir}/libmpdec++.so.3
%{abidir}/libmpdec*.dump

%files devel
%{_libdir}/libmpdec.so
%{_libdir}/libmpdec++.so
%{_includedir}/mpdecimal.h
%{_includedir}/decimal.hh

%files doc
%doc README.txt INSTALL.txt CHANGELOG.txt
%doc %{_pkgdocdir}

%changelog
* Tue Apr 11 2023 yuanhui <yuanhui@linux.alibaba.com> - 2.5.1-3
- Optimize the spec file

* Tue Oct 18 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.5.1-2
- optimise spec file

* Tue Mar 22 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 2.5.1-1
- init from upstream 2.5.1
